Skip to content

List Session Messages

GET /sessions/{session_id}/messages

content_is_blocks travels with every message: a client must not have to guess whether content_text is the message or a flattening of it (RULE M-1).

NameInTypeNotes
session_idpathstring (uuid)required—
limitqueryintegeroptionalDefault 200. min 1 max 1000
StatusDescriptionBody
200Successful ResponsePage_SessionMessageView_
422Validation ErrorHTTPValidationError
Terminal window
curl -X GET https://your-deployment.example.com/sessions/{session_id}/messages \
-H "Authorization: Bearer $COBRE_TOKEN"
FieldTypeNotes
itemsSessionMessageView[]required—
next_cursorstring | nulloptional—
totalinteger | nulloptional—